
USE EntLibQuickStarts
GO

/*
 * Purpose:
 *
 * Change History:
 *
 */


TRUNCATE TABLE [dbo].[AuthorizationRules]

DBCC CHECKIDENT ('[dbo].[AuthorizationRules]', RESEED, 1)

SET IDENTITY_INSERT [dbo].[AuthorizationRules] ON

INSERT INTO [dbo].[AuthorizationRules] (
	[RuleID],
	[Name],
	[Expression]
)
	SELECT 1, 'Hire Employee', 'R:Manager OR R:HumanResources'

INSERT INTO [dbo].[AuthorizationRules] (
	[RuleID],
	[Name],
	[Expression]
)
	SELECT 2, 'Print Document', 'NOT I:?'

INSERT INTO [dbo].[AuthorizationRules] (
	[RuleID],
	[Name],
	[Expression]
)
	SELECT 3, 'Submit New Order', '(R:Employee AND (NOT I:Bob))'

SET IDENTITY_INSERT [dbo].[AuthorizationRules] OFF
