USE EntLibQuickStarts
GO

if exists (select * from sysobjects where id = object_id(N'[dbo].[DeleteRuleById]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[DeleteRuleById]
GO

CREATE PROCEDURE dbo.DeleteRuleById
	@id INT
/*************************************************************************************************************
* Purpose:	Deletes a rule
*
* Date		By		Description
* ----------	---------------	-------------------------------------------------------------------
  05/29/2005	Craig Vermeer	Deletes a Rule

************************************************************************************************************/
AS
BEGIN

	DELETE dbo.AuthorizationRules
	WHERE RuleId = @id

END
GO

