USE EntLibQuickStarts
GO

if exists (select * from sysobjects where id = object_id(N'[dbo].[GetRuleByName]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[GetRuleByName]
GO

CREATE PROCEDURE dbo.GetRuleByName
	@name nvarchar(255)
/*************************************************************************************************************
* Purpose:	Retrieves a rule
*
* Date		By		Description
* ----------	---------------	-------------------------------------------------------------------
  03/01/2005	Craig Vermeer	Retrieves a Rule from the database

************************************************************************************************************/
AS

	SELECT RuleId, Name, Expression
	FROM EntLibQuickStarts.dbo.AuthorizationRules
	WHERE Name = @name

RETURN(0)


GO

