USE EntLibQuickStarts
GO

if exists (select * from sysobjects where id = object_id(N'[dbo].[UpdateRuleById]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[UpdateRuleById]
GO

CREATE PROCEDURE dbo.UpdateRuleById
	@id INT, 
	@name nvarchar(255),
	@expression nvarchar(2000)
/*************************************************************************************************************
* Purpose:	Updates a Rule
*
* Date		By		Description
* ----------	---------------	-------------------------------------------------------------------
  05/29/2005	Craig Vermeer	Updates a Rule

************************************************************************************************************/
AS
BEGIN

	UPDATE dbo.AuthorizationRules
	SET expression = @expression, name = @name
	WHERE RuleId = @id

END
GO

