using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using Microsoft.Practices.EnterpriseLibrary.Security.Configuration.Design;
using Microsoft.Practices.EnterpriseLibrary.Security.Configuration.Design.Properties;
using Security.DBRules.Configuration.Design.Properties;
using Kreeg.EnterpriseLibrary.Security.Database.Authorization.Configuration;
namespace Kreeg.EnterpriseLibrary.Security.Database.Configuration.Design
{
    sealed class DbRulesCommandRegistrar : CommandRegistrar 
    {
        public DbRulesCommandRegistrar(IServiceProvider serviceProvider)
            :base(serviceProvider)
        {
        }

        public override void Register()
        {
            AddMultipleChildNodeCommand(Resources.DbRulesProvider,
                string.Format(Resources.Culture, Resources.GenericCreateStatusText, Resources.DbRulesProvider),
                typeof(DbRulesAuthorizationProviderNode), typeof(AuthorizationProviderCollectionNode));

            AddDefaultCommands(typeof(DbRulesAuthorizationProviderNode));

        }
    }
}
