USE EntLibQuickStarts
GO

if exists (select * from sysobjects where id = object_id(N'[dbo].[GetAllRules]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[GetAllRules]
GO

CREATE PROCEDURE dbo.GetAllRules
/*************************************************************************************************************
* Purpose:	Retrieves all rules
*
* Date		By		Description
* ---------	---------------	-------------------------------------------------------------------
  05/29/2005	Craig Vermeer	Retrieves a Rule from the database

************************************************************************************************************/
AS

	SELECT RuleId, Name, Expression
	FROM EntLibQuickStarts.dbo.AuthorizationRules

RETURN(0)


GO

