USE EntLibQuickStarts
GO

if exists (select * from sysobjects where id = object_id(N'[dbo].[InsertRule]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[InsertRule]
GO

CREATE PROCEDURE dbo.InsertRule
	@name nvarchar(255),
	@expression nvarchar(2000)
/*************************************************************************************************************
* Purpose:	Inserts a Rule
*
* Date		By		Description
* ----------	---------------	-------------------------------------------------------------------
  05/29/2005	Craig Vermeer	Inserts a Rule

************************************************************************************************************/
AS
BEGIN
	INSERT INTO dbo.AuthorizationRules
	(name, expression)
	VALUES(@name, @expression)
	
END
GO

